Subject: [bug#67921] [PATCH v3 01/24] gnu: ghc: More robust build with binutils ≥ 2.39.

From: Nicolas Graves <[email-masked]>
Date: Sat, 16 Nov 2024 11:36:19 +0100

On 2024-11-16 10:26, Saku Laesvuori wrote:

> On Fri, Nov 15, 2024 at 07:52:15PM +0000, Divya Ranjan wrote:
>> Also, one of the reasons why we haven't yet packaged
>> haskell-language-server is because of these ghc build issues, right?
>
> I think it is mostly because haskell-language-server is not on stackage
> and the hackage importer is[1] not able to recursively import working
> versions of the dependencies. Thus packaging HLS is quite tidious as one
> has to manually go through all the tens of invalid dependency versions.
> Updating ghc would probably help a bit, but I don't think it is the main
> issue.
>
> [1]: There was recently some work related to importing hackage packages
> by version so maybe this has changed

Indeed, I'll provide some patches for that, will CC you.

> - Saku

-- 
Best regards,
Nicolas Graves